# Interface IAnalyticsEvent

## Index

### Properties

- actionCause
- actionType
- anonymous
- clientId
- customData
- device
- language
- mobile
- originContext
- originLevel1
- originLevel2
- originLevel3
- responseTime
- userAgent
- userDisplayName
- userGroups
- username

## Properties

### actionCause

actionCause: string

- Defined in rest/AnalyticsEvent.ts :12

### actionType

actionType: string

- Defined in rest/AnalyticsEvent.ts :20

### Optional anonymous

anonymous: boolean

- Defined in rest/AnalyticsEvent.ts :42

### clientId

clientId: string

- Defined in rest/AnalyticsEvent.ts :131

### Optional customData

customData: object

- Defined in rest/AnalyticsEvent.ts :127

#### Type declaration

- ##### [key: string]: any

### device

device: string

- Defined in rest/AnalyticsEvent.ts :50

### language

language: string

- Defined in rest/AnalyticsEvent.ts :98

### mobile

mobile: boolean

- Defined in rest/AnalyticsEvent.ts :56

### originContext

originContext: string

- Defined in rest/AnalyticsEvent.ts :88

### originLevel1

originLevel1: string

- Defined in rest/AnalyticsEvent.ts :64

### originLevel2

originLevel2: string

- Defined in rest/AnalyticsEvent.ts :72

### Optional originLevel3

originLevel3: string

- Defined in rest/AnalyticsEvent.ts :80

### responseTime

responseTime: number

- Defined in rest/AnalyticsEvent.ts :105

### Optional userAgent

userAgent: string

- Defined in rest/AnalyticsEvent.ts :113

### Optional userDisplayName

userDisplayName: string

- Defined in rest/AnalyticsEvent.ts :36

### Optional userGroups

userGroups: string

- Defined in rest/AnalyticsEvent.ts :119

### Optional username

username: string

- Defined in rest/AnalyticsEvent.ts :28

### Hierarchy

- IAnalyticsEvent